lang/ksi - The NetBSD Packages Collection

Portable, embeddable Scheme implementation written in C

This is a Ksi (Ksi Scheme Interpreter), a portable,
embeddable Scheme implementation written in C.

Ksi provides a machine independent execution platform that
can be linked in as a library when building extensible programs.
And what is more important it is not a Guile. :-)

Build dependencies

devel/libtool-base pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

devel/boehm-gc devel/readline devel/gmp devel/readline devel/gmp

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64ksi-3.9.0nb2.tgz
NetBSD 10.0aarch64ksi-3.9.0nb2.tgz
NetBSD 10.0earmv6hfksi-3.9.0nb2.tgz
NetBSD 10.0earmv6hfksi-3.9.0nb2.tgz
NetBSD 10.0earmv7hfksi-3.9.0nb2.tgz
NetBSD 10.0earmv7hfksi-3.9.0nb2.tgz
NetBSD 10.0i386ksi-3.9.0nb2.tgz
NetBSD 10.0powerpcksi-3.9.0nb2.tgz
NetBSD 10.0powerpcksi-3.9.0nb2.tgz
NetBSD 10.0x86_64ksi-3.9.0nb2.tgz
NetBSD 10.0x86_64ksi-3.9.0nb2.tgz
NetBSD 8.0earmv7hfksi-3.9.0nb2.tgz
NetBSD 8.0i386ksi-3.9.0nb2.tgz
NetBSD 8.0i386ksi-3.9.0nb2.tgz
NetBSD 8.0powerpcksi-3.9.0nb2.tgz
NetBSD 8.0powerpcksi-3.9.0nb2.tgz
NetBSD 8.0powerpcksi-3.9.0nb2.tgz
NetBSD 8.0x86_64ksi-3.9.0nb2.tgz
NetBSD 8.0x86_64ksi-3.9.0nb2.tgz
NetBSD 9.0aarch64ksi-3.9.0nb2.tgz
NetBSD 9.0aarch64ksi-3.9.0nb2.tgz
NetBSD 9.0aarch64ksi-3.9.0nb2.tgz
NetBSD 9.0alphaksi-3.9.0nb2.tgz
NetBSD 9.0alphaksi-3.9.0nb2.tgz
NetBSD 9.0alphaksi-3.9.0nb2.tgz
NetBSD 9.0alphaksi-3.9.0nb2.tgz
NetBSD 9.0alphaksi-3.9.0nb2.tgz
NetBSD 9.0earmv6hfksi-3.9.0nb2.tgz
NetBSD 9.0earmv6hfksi-3.9.0nb2.tgz
NetBSD 9.0earmv6hfksi-3.9.0nb2.tgz
NetBSD 9.0earmv7hfksi-3.9.0nb2.tgz
NetBSD 9.0earmv7hfksi-3.9.0nb2.tgz
NetBSD 9.0earmv7hfksi-3.9.0nb2.tgz
NetBSD 9.0i386ksi-3.9.0nb2.tgz
NetBSD 9.0i386ksi-3.9.0nb2.tgz
NetBSD 9.0i386ksi-3.9.0nb2.tgz
NetBSD 9.0mips64ebksi-3.9.0nb2.tgz
NetBSD 9.0mips64ebksi-3.9.0nb2.tgz
NetBSD 9.0mips64ebksi-3.9.0nb2.tgz
NetBSD 9.0mips64ebksi-3.9.0nb2.tgz
NetBSD 9.0mips64ebksi-3.9.0nb2.tgz
NetBSD 9.0powerpcksi-3.9.0nb2.tgz
NetBSD 9.0powerpcksi-3.9.0nb2.tgz
NetBSD 9.0powerpcksi-3.9.0nb2.tgz
NetBSD 9.0sparc64ksi-3.9.0nb2.tgz
NetBSD 9.0sparc64ksi-3.9.0nb2.tgz
NetBSD 9.0sparc64ksi-3.9.0nb2.tgz
NetBSD 9.0sparc64ksi-3.9.0nb2.tgz
NetBSD 9.0sparc64ksi-3.9.0nb2.tgz
NetBSD 9.0sparcksi-3.9.0nb2.tgz
NetBSD 9.0sparcksi-3.9.0nb2.tgz
NetBSD 9.0x86_64ksi-3.9.0nb2.tgz
NetBSD 9.0x86_64ksi-3.9.0nb2.tgz
NetBSD 9.0x86_64ksi-3.9.0nb2.tgz
NetBSD 9.0x86_64ksi-3.9.0nb2.tgz
NetBSD 9.0x86_64ksi-3.9.0nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.